The Signing Audit Log object

Attributes

id string

Unique identifier for the object.

created_at string

ISO 8601 timestamp of when the object was created.

updated_at string

ISO 8601 timestamp of when the object was last updated.

signing_document_id string required
event_type string required
data string
actor_name string
actor_email string
actor_user_id string
ip_address string
user_agent string
The Signing Audit Log object
{
  "id": "signing-audit-log_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "signing_document_id": "signing_document_id_example",
  "event_type": "event_type_example",
  "data": "data_example",
  "actor_name": "actor_name_example",
  "actor_email": "[email protected]",
  "actor_user_id": "actor_user_id_example",
  "ip_address": "ip_address_example",
  "user_agent": "user_agent_example"
}
GET /api/signing/signing-audit-log/{id}

Retrieve a signing audit log

Retrieves the details of an existing signing audit log. Supply the unique signing audit log ID that was returned from a previous request.

Path parameters

id string required

The identifier of the signing audit log to retrieve.

Returns

Returns the signing audit log object if a valid identifier was provided.

GET /api/signing/signing-audit-log/{id}
curl https://api.overplane.dev/api/signing/signing-audit-log/signing-audit-log_abc123 \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "signing-audit-log_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "signing_document_id": "signing_document_id_example",
  "event_type": "event_type_example",
  "data": "data_example",
  "actor_name": "actor_name_example",
  "actor_email": "[email protected]",
  "actor_user_id": "actor_user_id_example",
  "ip_address": "ip_address_example",
  "user_agent": "user_agent_example"
}
GET /api/signing/signing-audit-log

List all signing audit logs

Returns a list of signing audit logs. The results are sorted by creation date, with the most recently created appearing first.

Query parameters

limit integer

Maximum number of objects to return. Default: 20.

offset integer

Number of objects to skip for pagination. Default: 0.

Returns

A paginated list of signing audit log objects.

GET /api/signing/signing-audit-log
curl https://api.overplane.dev/api/signing/signing-audit-log \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "data": [
    {
      "id": "signing-audit-log_abc123",
      "created_at": "2024-01-15T09: 30: 00Z",
      "updated_at": "2024-01-15T09: 30: 00Z",
      "signing_document_id": "signing_document_id_example",
      "event_type": "event_type_example",
      "data": "data_example",
      "actor_name": "actor_name_example",
      "actor_email": "[email protected]",
      "actor_user_id": "actor_user_id_example",
      "ip_address": "ip_address_example",
      "user_agent": "user_agent_example"
    }
  ],
  "has_more": false,
  "total": 1
}
POST /api/signing/signing-audit-log

Create a signing audit log

Creates a new signing audit log object.

Body parameters

signing_document_id string required
event_type string required
data string
actor_name string
actor_email string
actor_user_id string
ip_address string
user_agent string

Returns

Returns the newly created signing audit log object if the call succeeded.

POST /api/signing/signing-audit-log
curl https://api.overplane.dev/api/signing/signing-audit-log \
  -H "Authorization: Bearer sk_test_..." \
  -X POST \
  -H "Content-Type: application/json" \
  -d '{"signing_document_id":"signing_document_id_example","event_type":"event_type_example"}'
Response
{
  "id": "signing-audit-log_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "signing_document_id": "signing_document_id_example",
  "event_type": "event_type_example",
  "data": "data_example",
  "actor_name": "actor_name_example",
  "actor_email": "[email protected]",
  "actor_user_id": "actor_user_id_example",
  "ip_address": "ip_address_example",
  "user_agent": "user_agent_example"
}
PATCH /api/signing/signing-audit-log/{id}

Update a signing audit log

Updates the specified signing audit log by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the signing audit log to update.

Body parameters

signing_document_id string
event_type string
data string
actor_name string
actor_email string
actor_user_id string
ip_address string
user_agent string

Returns

Returns the updated signing audit log object.

PATCH /api/signing/signing-audit-log/{id}
curl https://api.overplane.dev/api/signing/signing-audit-log/signing-audit-log_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"signing_document_id":"signing_document_id_example","event_type":"event_type_example"}'
Response
{
  "id": "signing-audit-log_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "signing_document_id": "signing_document_id_example",
  "event_type": "event_type_example",
  "data": "data_example",
  "actor_name": "actor_name_example",
  "actor_email": "[email protected]",
  "actor_user_id": "actor_user_id_example",
  "ip_address": "ip_address_example",
  "user_agent": "user_agent_example"
}
DELETE /api/signing/signing-audit-log/{id}

Delete a signing audit log

Permanently deletes a signing audit log. This cannot be undone.

Path parameters

id string required

The identifier of the signing audit log to delete.

Returns

Returns a confirmation that the signing audit log has been deleted.

DELETE /api/signing/signing-audit-log/{id}
curl https://api.overplane.dev/api/signing/signing-audit-log/signing-audit-log_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X DELETE
Response
{
  "id": "signing-audit-log_abc123",
  "deleted": true
}